List VPS active datacenters
curl --request GET \
--url https://api.storiza.store/vps-datacenters/const options = {method: 'GET'};
fetch('https://api.storiza.store/vps-datacenters/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps-datacenters/"
response = requests.get(url)
print(response.text){
"success": true,
"message": "Datacenters retrieved successfully",
"data": [
{
"id": "00000000-0000-4000-8000-000000000000",
"name": "Example Datacenter",
"priority": 1,
"location": "Example Location",
"region": "EU",
"country": "EG",
"features": [
{
"feature": "Standard"
}
],
"isActive": true,
"isMaintenanceMode": false,
"isAvailable": true,
"supportFreeTrial": false,
"isForFreeTrialOnly": false,
"createdAt": "2026-10-09T14:57:33.923Z"
}
],
"pagination": {
"page": 2,
"limit": 2,
"offset": 1,
"total": 1,
"totalPages": 2
}
}{
"success": false,
"type": "API",
"code": "VALIDATION_ERROR",
"error": "Validation error",
"details": {
"_errors": [
"The whole schema has some validation problems"
],
"some_field": {
"_errors": [
"This field has some validation problem"
]
}
}
}{
"success": false,
"type": "API",
"code": "INTERNAL_ERROR",
"error": "Internal server error"
}Server catalog
List VPS active datacenters
Lists the active VPS datacenters, highest priority first. Pass includeInactive=true to include disabled ones, plus the standard filtering query parameters (_page, _limit, _search, _sort_by).
No API key needed — this endpoint is public.
GET
/
vps-datacenters
/
List VPS active datacenters
curl --request GET \
--url https://api.storiza.store/vps-datacenters/const options = {method: 'GET'};
fetch('https://api.storiza.store/vps-datacenters/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps-datacenters/"
response = requests.get(url)
print(response.text){
"success": true,
"message": "Datacenters retrieved successfully",
"data": [
{
"id": "00000000-0000-4000-8000-000000000000",
"name": "Example Datacenter",
"priority": 1,
"location": "Example Location",
"region": "EU",
"country": "EG",
"features": [
{
"feature": "Standard"
}
],
"isActive": true,
"isMaintenanceMode": false,
"isAvailable": true,
"supportFreeTrial": false,
"isForFreeTrialOnly": false,
"createdAt": "2026-10-09T14:57:33.923Z"
}
],
"pagination": {
"page": 2,
"limit": 2,
"offset": 1,
"total": 1,
"totalPages": 2
}
}{
"success": false,
"type": "API",
"code": "VALIDATION_ERROR",
"error": "Validation error",
"details": {
"_errors": [
"The whole schema has some validation problems"
],
"some_field": {
"_errors": [
"This field has some validation problem"
]
}
}
}{
"success": false,
"type": "API",
"code": "INTERNAL_ERROR",
"error": "Internal server error"
}Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 250Was this page helpful?